package com.java2s.gwt.client;
import com.google.gwt.user.client.Command;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.Widget;
import com.google.gwt.user.client.ui.MenuBar;
import com.google.gwt.user.client.ui.MenuItem;


public class GWTClient implements EntryPoint, Command  {

  public void onModuleLoad() {
    MenuBar menu = new MenuBar();
    menu.setAutoOpen(true);

    MenuBar subMenu = new MenuBar(true);
    subMenu.addItem("<code>Code</code>", true, this);
    subMenu.addItem("<strike>Strikethrough</strike>", true, this);
    subMenu.addItem("<u>Underlined</u>", true, this);

    MenuBar menu0 = new MenuBar(true);
    menu0.addItem("<b>Bold</b>", true, this);
    menu0.addItem("<i>Italicized</i>", true, this);
    menu0.addItem("More &#187;", true, subMenu);
    MenuBar menu1 = new MenuBar(true);
    menu1.addItem("<font color='#FFEE00'><b>A</b></font>", true, this);
    menu1.addItem("<font color='#FFEE00'><b>B</b></font>", true, this);
    menu1.addItem("<font color='#FFEEFF'><b>C</b></font>", true, this);
    menu1.addItem("<font color='#8BEE13'><b>D</b></font>", true, this);
    MenuBar menu2 = new MenuBar(true);
    menu2.addItem("B", this);
    menu2.addItem("G", this);
    menu2.addItem("<code>!!!</code>", true, this);

    menu.addItem(new MenuItem("Style", menu0));
    menu.addItem(new MenuItem("Fruit", menu1));
    menu.addItem(new MenuItem("Term", menu2));

    menu.setWidth("100%");

    RootPanel.get().add(menu);
  }
  public void execute() {
    Window.alert("a menu item.");
  }  
}
